dpkg-statoverride(8)

NOME
dpkg-statoverride - sovrascrive la proprietà e i permessi dei file

SINTASSI
dpkg-statoverride [opzione...] comando

DESCRIZIONE
Gli «stat override» sono un modo per dire a dpkg(1) di usare un proprietario o permessi differenti per un percorso quando viene installato un pacchetto (questo vale per qualsiasi oggetto del file system che dpkg gestisce, inclusi directory, device, ecc.). Ciò può essere usato per forzare i programmi che normalmente sono setuid a essere installati senza il contrassegno setuid oppure come eseguibili solo da uno specifico gruppo.

dpkg-statoverride è un'utilità per gestire l'elenco di «stat override» (sovrascritture di stato). Ha tre funzioni di base: aggiunta, rimozione ed elenco delle sovrascritture.

COMANDI

--add utente gruppo modalità percorso
    Aggiunge una sovrascrittura per path. Non è necessario che path esista quando viene usato il comando; la sovrascrittura verrà memorizzata e usata successivamente. Gli utenti e i gruppi possono essere specificati con il loro nome (per esempio root o nobody) o con il loro numero facendolo precedere da un carattere «#» (per esempio #0 o #65534). La modalità dei premessi deve essere specificata in formato ottale. Se viene usato --update e path esiste, quest'ultimo viene immediatamente impostato con i nuovi proprietario e modalità.

--remove percorso
    Rimuove una sovrascrittura per path; questo comando lascia lo stato di path immutato.

--list [modello-glob]
    Elenca tutte le sovrascritture. Se viene specificato un modello glob, l'output è limitato alle sovrascritture che corrispondono al glob. Se non ci sono sovrascritture o nessuna corrisponde al modello glob, dpkg-statoverride terminerà con 1 come codice di uscita.

--help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

OPZIONI

--admindir directory
    Cambia la directory del database di dpkg dove viene memorizzato anche il file statoverride. La posizione predefinita è /var/lib/dpkg.

--force
    Forza un'azione, anche se verrebbe proibita da un controllo di correttezza. Non è necessario per sovrascrivere una sovrascrittura esistente.

--update
    Cerca di modificare immediatamente il percorso con i nuovi proprietario e permessi, se esiste.

--quiet
    È meno prolisso riguardo a ciò che viene fatto.

AMBIENTE

DPKG_ADMINDIR
    Se impostata e l'opzione --admindir non è stata specificata, verrà usata come directory dei dati di dpkg.

FILE

/var/lib/dpkg/statoverride
    File che contiene l'elenco attuale degli «stat override» del sistema. È contenuto nella directory di amministrazione di dpkg, insieme con altri file importanti per dpkg, come «status» o «available».
    Nota: dpkg-statoverride preserva la vecchia copia di questo file, con l'estensione «-old», prima di sostituirla con quella nuova.

VEDERE ANCHE
dpkg(1).